<template>
  <Input v-model="text" type="textarea"></Input>
</template>
<script>
  export default {
    props: {
      value: Object | Array,
    },
    data() {
      return {
        text: JSON.stringify(this.value),
      }
    },
    watch: {
      text(val) {
        try {
          const jsonData = JSON.parse(val);
          this.$emit('input', jsonData);
        } catch(e) {
          console.log(e);
        }
      }
    }
  }
</script>